local addon, rabc = ...
--	UI.Native.BarMain:EventAttach(Event.UI.Layout.Size, function(self, h)
--	a, b, c, d = UI.Native.BarMain:GetBounds()
--	print (a .. " " .. b .. " " .. c .. " " .. d) 
--	print(UI.Native.BarMain:GetWidth())
--	print(UI.Native.BarMain:GetHeight())
--	
--	end, "Layout")


rabcSavedSettings = {set = 1, buttonx = 900, buttony = 500, mainl = 1, maint = 1, mainr = 1, mainb = 1, locked = false, macroshow = 1, animate = true, timer = 1}
rabcSavedColors = {{f = 16, r = 0, g = 0.8, b = 0}, {f = 24, r = 0.15, g = 0.5, b = 1}, {f = 30, r = 0.7, g = 0.3, b = 1}, include = {true, true, true, true, true}}
rabcSavedSettings.timer = 1
rabcSavedAbils = {}
rabc.addonid = "RiftActionbarCooldowns"
rabc.context = UI.CreateContext("Context")
rabc.minimapbutton = UI.CreateFrame("Texture", "Button", rabc.context)
rabc.mainab = {}
rabc.mainslottext = {}
rabc.mainslotframe = {}
for i = 1, 11 do
	rabc.mainab[i] = UI.CreateFrame("Texture", "Mainoverlay" .. i, rabc.context) 
	rabc.mainslotframe[i] = {}
	rabc.mainslottext[i] = {}
	for j = 1, 12 do
		rabc.mainslotframe[i][j] = UI.CreateFrame("Texture", "Mainoverlaytext" .. i, rabc.context) 
		rabc.mainslottext[i][j] = UI.CreateFrame("Text", "Mainoverlaytext" .. i, rabc.context) 
	end
end
rabc.glowTable = {blurX = 3, blurY = 3,	colorA = 1,	colorB = 0,	colorG = 0,	colorR = 0,	knockout = false, offsetX = 0, offsetY = 0, replace = false, strength = 5}
rabctempMacroTable = {}
rabc.config = UI.CreateFrame("SimpleWindow", "Configuration Window" , rabc.context) 
rabc.configOptionsTab = UI.CreateFrame("SimpleTabView", "OptionsWindowFrame", rabc.config)
rabc.configOptionsA = UI.CreateFrame("Frame", "OptionsWindowA", rabc.configOptionsTab)
rabc.configOptionsB = UI.CreateFrame("Frame", "OptionsWindowB", rabc.configOptionsTab)
rabc.configOptionsC = UI.CreateFrame("Frame", "OptionsWindowC", rabc.configOptionsTab)
rabc.configOptionsTab:AddTab("Welcome", rabc.configOptionsA)
rabc.configOptionsTab:AddTab("Abilities", rabc.configOptionsB)
rabc.configOptionsTab:AddTab("Settings", rabc.configOptionsC)
rabc.configAbilityFrame = UI.CreateFrame("Frame", "AbilitySetup", rabc.configOptionsB)
rabc.configOptionsBHelpText = UI.CreateFrame("Text", "Help Set", rabc.configOptionsB)
rabc.configOptionsBText = UI.CreateFrame("Text", "Role Set", rabc.configAbilityFrame)
rabc.configMacroFrame = UI.CreateFrame("Frame", "MacroSetup", rabc.configOptionsB)
rabc.MacroAcceptButton = UI.CreateFrame("RiftButton", "MacroAcceptButton", rabc.configMacroFrame)
rabc.MacroCancelButton = UI.CreateFrame("RiftButton", "MacroCancelButton", rabc.configMacroFrame)
rabc.MacroEditButton = {}

rabc.OptionsSetTabA = Library.LibSimpleWidgets.RadioButtonGroup("rabc.OptionsSetTabA")
rabc.OptionsRadioTabA = {}
rabc.OptionsCheckTabA = {}
rabc.OptionsTextATabA = {}
rabc.OptionsTextBTabA = {}
rabc.OptionsTextCTabA = {}
for i = 1, 11 do
	rabc.OptionsRadioTabA[i] = UI.CreateFrame("SimpleRadioButton", "Bar Select" .. i, rabc.configOptionsB)
	rabc.OptionsSetTabA:AddRadioButton(rabc.OptionsRadioTabA[i])
end
for i = 1, 12 do
	rabc.OptionsCheckTabA[i] = UI.CreateFrame("SimpleCheckbox", "AbilityCheck" .. i, rabc.configAbilityFrame)
	rabc.OptionsTextATabA[i] = UI.CreateFrame("Text", "AbilityInput" .. i, rabc.configAbilityFrame)
	rabc.OptionsTextBTabA[i] = UI.CreateFrame("Text", "AbilityInput" .. i, rabc.configAbilityFrame)
	rabc.OptionsTextCTabA[i] = UI.CreateFrame("Text", "MacroInput" .. i, rabc.configMacroFrame)
	rabc.MacroEditButton[i] = UI.CreateFrame("RiftButton", "MacroEditButton" .. i, rabc.configAbilityFrame)
end
rabc.AbilityListScroll = UI.CreateFrame("SimpleScrollView", "AbilityScrollFrame", rabc.configOptionsB)
rabc.AbilityFrame = UI.CreateFrame("Frame", "AbilityFrame", rabc.AbilityListScroll)
rabc.AbilityFrameRefresh = UI.CreateFrame("RiftButton", "RefreshAbilityFrame", rabc.configOptionsB)
--rabc.AbilityFrameLock = UI.CreateFrame("RiftButton", "LockMainBar", rabc.configOptionsB)

rabc.AbilityIcons = {}
rabc.AbilityIconsText = {}
for i = 1, 40 do
	rabc.AbilityIcons[i] = UI.CreateFrame("Texture", "AbilityIcons", rabc.AbilityFrame)
	rabc.AbilityIconsText[i] = UI.CreateFrame("Text", "AbilityIconsText", rabc.AbilityIcons[i])
end
rabc.AbilityIconsCopy = UI.CreateFrame("Texture", "Drag Icon", rabc.configOptionsB)
rabc.configFontSlider = UI.CreateFrame("SimpleSlider", "font", rabc.configOptionsC)
rabc.configColorSelector = UI.CreateFrame("SimpleList", "ColorList", rabc.configOptionsC)
rabc.configOptionsFrameTabB = UI.CreateFrame("Frame", "ColorList", rabc.configOptionsC)
rabc.configOptionsTextATabB = {}
rabc.configOptionsTextBTabB = {}
for i = 1, 3 do
rabc.configOptionsTextATabB[i] = UI.CreateFrame("Text", "ColorList", rabc.configOptionsFrameTabB)
end
for i = 1, 4 do
rabc.configOptionsTextBTabB[i] = UI.CreateFrame("Text", "ColorList", rabc.configOptionsC)
end
rabc.configSliderL = UI.CreateFrame("SimpleSlider", "Adjust left", rabc.configOptionsA)
rabc.configSliderT = UI.CreateFrame("SimpleSlider", "Adjust top", rabc.configOptionsA)
rabc.configSliderR = UI.CreateFrame("SimpleSlider", "Adjust right", rabc.configOptionsA)
rabc.configSliderB = UI.CreateFrame("SimpleSlider", "Adjust bottom", rabc.configOptionsA)
rabc.configSliderText1 = UI.CreateFrame("Text", "Welcome Help", rabc.configOptionsA)
rabc.configSliderText2 = UI.CreateFrame("Text", "Adjust Help", rabc.configOptionsA)
rabc.configSliderButton = UI.CreateFrame("RiftButton", "Adjust Lock", rabc.configOptionsA)

rabc.OptionsSetATabC = Library.LibSimpleWidgets.RadioButtonGroup("rabc.OptionsSetATabC")
rabc.OptionsRadioATabC = {}
for i = 1, 2 do
	rabc.OptionsRadioATabC[i] = UI.CreateFrame("SimpleRadioButton", "Macro Display Select" .. i, rabc.configOptionsC)
	rabc.OptionsSetATabC:AddRadioButton(rabc.OptionsRadioATabC[i])
end
rabc.OptionsSetBTabC = Library.LibSimpleWidgets.RadioButtonGroup("rabc.OptionsSetBTabC")
rabc.OptionsRadioBTabC = {}
for i = 1, 2 do
	rabc.OptionsRadioBTabC[i] = UI.CreateFrame("SimpleRadioButton", "Timer Display Select" .. i, rabc.configOptionsC)
	rabc.OptionsSetBTabC:AddRadioButton(rabc.OptionsRadioBTabC[i])
end
rabc.OptionsCheckCTabC = {}
for i = 1, 3 do
	rabc.OptionsCheckCTabC[i] = UI.CreateFrame("SimpleCheckbox", "Ability Exclusions" .. i, rabc.configOptionsC)
end
rabc.OptionsCheckTabC = UI.CreateFrame("SimpleCheckbox", "AbilityCheck", rabc.configOptionsC)
rabc.OptionsColorFrameTabC = UI.CreateFrame("Frame", "ColorChooser Frame", rabc.configOptionsC)
rabc.configOptionsSeperatorATabC = UI.CreateFrame("Texture", "Seperator", rabc.configOptionsC)
rabc.configOptionsSeperatorBTabC = UI.CreateFrame("Texture", "Seperator", rabc.configOptionsC)
rabc.configOptionsSeperatorCTabC = UI.CreateFrame("Texture", "Seperator", rabc.configOptionsC)

